Skip to content

Deletes a webhook endpoint

Request

DELETE {{baseURL}}/v2/webhooks/endpoints/{{endpointId}}

This endpoint deletes a webhook endpoint.

All outstanding pending and scheduled retries for this specified webhook are canceled. References in log files are not erased.

See Also:
To create a webhook, see POST /v2/webhooks/endpoints.
To update a webhook, see PATCH /v2/webhooks/endpoints/{{endpointId}}.
To test a webhook, see POST /v2/webhooks/endpoints/{{endpointId}}/ping

Security
Bearer
Path
endpointIdstring, (uuid)required

Specifies the webhook identifier to delete.

Example:e8570526-3b2c-4776-ad1c-1303ccb5bc2d
curl -i -X DELETE \
  https://sandbox.api.flute.com/v2/webhooks/endpoints/e8570526-3b2c-4776-ad1c-1303ccb5bc2d \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

OK. The webhook was successfully deleted.

Response
No content